---
inputType: "CA10__CaGoogleGceSnapshot__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaGoogleGceSnapshot__c/object.extracts.yaml
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The snapshot is not ready."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "READY"
  - status: "INCOMPLIANT"
    currentStateMessage: "The GCE Snapshot is 90 days old or more."
    remediationMessage: "Consider deleting or archiving the snapshot."
    check:
      IS_BEYOND_LAST_DAYS:
        offsetDays: 90
        arg:
          EXTRACT: "CA10__creationDate__c"
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The GCE Snapshot is less than 90 days old."